Skip to main content
GET
Error
This endpoint is currently shown as a preview of what’s currently in development and is subject to change.

Authorizations

Authorization
string
header
required

WordPress username and password

Path Parameters

order_id
integer
required

Unique identifier for the order

Query Parameters

order_key
string
required

Order key for verification

Response

Order received details retrieved successfully

order_id
integer

Order ID

order_number
string

Order number

order_key
string

Order key

status
string

Order status

status_name
string

Human-readable order status

date_created
string

Order creation date

date_paid
string | null

Order payment date

currency
string

Order currency

total
string

Order total

subtotal
string

Order subtotal

tax_total
string

Tax total

shipping_total
string

Shipping total

discount_total
string

Discount total

payment_method
string

Payment method ID

payment_method_title
string

Payment method title

customer_id
integer

Customer ID

customer_note
string

Customer note

billing_address
object
shipping_address
object
items
object[]
totals
object[]
needs_payment
boolean

Whether order requires payment

needs_shipping
boolean

Whether order needs shipping

has_downloads
boolean

Whether order has downloadable items

download_url
string<uri> | null

URL to download items

available_payment_methods
object[]